## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-nbsphinx
Version:        0.9.6
Release:        %autorelease
Summary:        Jupyter Notebook Tools for Sphinx

# SPDX
License:        MIT
URL:            http://nbsphinx.rtfd.io/
Source0:        %{pypi_source nbsphinx}
Patch0:         allow-errors-in-notebooks-with-external-images.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-ipykernel
BuildRequires:  python3-ipython-sphinx
BuildRequires:  python3-jupyter-client
BuildRequires:  python3-matplotlib
BuildRequires:  python3-nbconvert
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinxcontrib-bibtex
BuildRequires:  python3-sphinx-copybutton
BuildRequires:  python3-sphinxcontrib-rsvgconverter
BuildRequires:  python3-sphinx-gallery
BuildRequires:  python3-sphinx-last-updated-by-git
BuildRequires:  git-core
BuildRequires:  pandoc

%description
nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
files. Custom Sphinx directives are used to show Jupyter Notebook code cells
(and of course their results) in both HTML and LaTeX output. Unevaluated
notebooks, i.e. notebooks without stored output cells, will be automatically
executed during the Sphinx build process.

%package -n     python3-nbsphinx
Summary:        %{summary}

%description -n python3-nbsphinx
nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
files. Custom Sphinx directives are used to show Jupyter Notebook code cells
(and of course their results) in both HTML and LaTeX output. Unevaluated
notebooks, i.e. notebooks without stored output cells, will be automatically
executed during the Sphinx build process.

%package -n python-nbsphinx-doc
Summary:        nbsphinx documentation
%description -n python-nbsphinx-doc
Documentation for nbsphinx

%prep
%autosetup -n nbsphinx-%{version} -S git
# Disables custom formatter not available in Fedora.
# The result is that pages:
# https://nbsphinx.readthedocs.io/en/0.8.6/a-markdown-file.html
# https://nbsphinx.readthedocs.io/en/0.8.6/custom-formats.html
# are not available.
# TODO: package jupytext
sed -i "/\['jupytext.reads', {'fmt'/d" doc/conf.py
# Delete the Sphinx extension we don't have packaged in Fedora
# This extension links the code examples to their respective documentation,
# its absence doesn't break the nbsphinx' docs
sed -i "/'sphinx_codeautolink',  # automatic links from code to documentation/d" doc/conf.py

%build
%py3_build
# fake the git tag for docs to put the right version in
git tag %{version}
# ignore errors - nbsphinx cannot load images from Internet
echo "nbsphinx_allow_errors = True" >> doc/conf.py
# generate html docs 
PYTHONPATH=build/lib sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/{.doctrees,.buildinfo,conf.py,_sources}

%install
%py3_install


%files -n python3-nbsphinx
%license LICENSE
%doc README.rst
%{python3_sitelib}/nbsphinx
%{python3_sitelib}/nbsphinx-%{version}-py%{python3_version}.egg-info/

%files -n python-nbsphinx-doc
%license LICENSE
%doc html 

%changelog
## START: Generated by rpmautospec
* Mon Jan 06 2025 Lumir Balhar <lbalhar@redhat.com> - 0.9.6-1
- Update to 0.9.6 (rhbz#2333965)

* Tue Aug 13 2024 Lumir Balhar <lbalhar@redhat.com> - 0.9.5-1
- Update to 0.9.5 (rhbz#2304605)

* Wed Jul 31 2024 Lumir Balhar <lbalhar@redhat.com> - 0.9.4-1
- Update to 0.9.4 (rhbz#2279390)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.9.3-6
- Rebuilt for Python 3.13

* Sun Apr 28 2024 Orion Poplawski <orion@nwra.com> - 0.9.3-5
- Add BR on python3-matplotlib to fix FTBFS

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 28 2023 Lumír Balhar <lbalhar@redhat.com> - 0.9.3-1
- Update to 0.9.3 (rhbz#2235169)

* Wed Aug 23 2023 Lumír Balhar <lbalhar@redhat.com> - 0.9.2-1
- Update to 0.9.2 (rhbz#2142414)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 03 2023 Python Maint <python-maint@redhat.com> - 0.8.9-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Aug 22 2022 Karolina Surma <ksurma@redhat.com> - 0.8.9-1
- Update to 0.8.9
- Fixes: rhbz#2036366

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.8.7-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 11 2021 Tomas Hrnciar <thrnciar@redhat.com> - 0.8.7-1
- Update to 0.8.7
- Fixes: rhbz#1992161

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 29 2021 Lumír Balhar <lbalhar@redhat.com> - 0.8.6-1
- Update to 0.8.6
Resolves: rhbz#1955189

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.8.3-2
- Rebuilt for Python 3.10

* Thu Apr 15 2021 Karolina Surma <ksurma@redhat.com> - 0.8.3-1
- New upstream release 0.8.3
Resolves rhbz#1933493

* Fri Jan 29 2021 Miro Hrončok <mhroncok@redhat.com> - 0.8.1-1
- Update to 0.8.1
- Fixes: rhbz#1889672

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 01 2020 Charalampos Stratakis <cstratak@redhat.com> - 0.7.1-1
- Update to 0.7.1 (#1847639)

* Thu Jun 04 2020 Charalampos Stratakis <cstratak@redhat.com> - 0.7.0-1
- Update to 0.7.0 (#1757082)

* Mon May 25 2020 Miro Hrončok <mhroncok@redhat.com> - 0.4.2-7
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.4.2-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Sun Aug 18 2019 Miro Hrončok <mhroncok@redhat.com> - 0.4.2-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Feb 28 2019 Miro Hrončok <mhroncok@redhat.com> - 0.4.2-2
- Explicitly require nbconvert

* Wed Feb 27 2019 Miro Hrončok <mhroncok@redhat.com> - 0.4.2-1
- Update to 0.4.2 (#1680237)

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2.17-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Nov 28 2017 Lumír Balhar <lbalhar@redhat.com> - 0.2.17-1
- New upstream version
- Fix FTBFS

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Apr 04 2017 Miro Hrončok <mhroncok@redhat.com> - 0.2.13-1
- Initial package

## END: Generated by rpmautospec
